Page MenuHomePhabricator

ResourceLoaderSkinModule: Mark the ResourceLoaderSkinModule `legacy` and `content` features as deprecated
Closed, ResolvedPublic2 Estimated Story Points

Description

NOTE: The deprecation patch can be merged once T287410 is resolved. This completes the technical goal of T282045

In T89981 we split out the legacy feature (ResourceLoaderSkinModule) into multiple parts.
In T287410 we disabled its usage across all skins.

As part of the change we should also deprecate the content feature and content-thumbnails feature which currently act as aliases for other modules.

  • legacy has been split up by no direct replacement
  • content got superseded by content-media
  • content-thumbnails got superseded by content-media

TODO

  • skins that use the legacy option should send a deprecation warning to the JavaScript console. This will need to be sent inside ResourceLoaderSkinModule
  • skins that use the legacy option should send a deprecation warning to the JavaScript console. This will need to be sent inside ResourceLoaderSkinModule
  • Update docs/uidesign/design.html to include the appropriate styles once legacy is removed.

Event Timeline

I think I'm just going to start including a fork of the 1.34 shared.css with my skins instead.

Jdlrobson triaged this task as Medium priority.Jun 25 2021, 8:51 PM

Change 655170 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/core@master] ResourceLoaderSkinModule: The `content` and `legacy` features are deprecated

https://gerrit.wikimedia.org/r/655170

Jdlrobson renamed this task from Mark the ResourceLoaderSkinModule `legacy` feature as deprecated to Mark the ResourceLoaderSkinModule `legacy` and `content` features as deprecated.Jul 22 2021, 6:52 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Mark the ResourceLoaderSkinModule `legacy` and `content` features as deprecated to ResourceLoaderSkinModule: Mark the ResourceLoaderSkinModule `legacy` and `content` features as deprecatedå.Jul 26 2021, 8:18 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Incoming to unsed on the Readers-Web-Backlog board.
Jdlrobson renamed this task from ResourceLoaderSkinModule: Mark the ResourceLoaderSkinModule `legacy` and `content` features as deprecatedå to ResourceLoaderSkinModule: Mark the ResourceLoaderSkinModule `legacy` and `content` features as deprecated.Jul 28 2021, 10:03 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

This should not change any of the existing skins so can skip QA. A developer when signing off this should check the steps in TODO are passing

Jdlrobson added a subscriber: bwang.

lgtm - tested this locally by adding deprecated flags to Vector's skin.json -- seeing the messages in console:

Screen Shot 2021-08-11 at 1.47.54 PM.png (614×3 px, 308 KB)

cjming added a subscriber: cjming.